import * as _vue from "vue";
import ScrollableTabBarNode from './ScrollableTabBarNode';
import TabBarRootNode from './TabBarRootNode';
import TabBarTabsNode from './TabBarTabsNode';
import SaveRef from './SaveRef';

var ScrollableTabBar = function ScrollableTabBar(_, _ref) {
  var attrs = _ref.attrs;
  return _vue.createVNode(SaveRef, {
    "children": function children(saveRef, getRef) {
      return _vue.createVNode(TabBarRootNode, _vue.mergeProps(attrs, {
        "saveRef": saveRef
      }), {
        default: function _default() {
          return [_vue.createVNode(ScrollableTabBarNode, _vue.mergeProps(attrs, {
            "saveRef": saveRef,
            "getRef": getRef
          }), {
            default: function _default() {
              return [_vue.createVNode(TabBarTabsNode, _vue.mergeProps(attrs, {
                "saveRef": saveRef
              }), null)];
            }
          })];
        }
      });
    }
  }, null);
};

ScrollableTabBar.inheritAttrs = false;
export default ScrollableTabBar;